Bug 129707 - cups 1.2.1 not working with kde 3.5.3
Summary: cups 1.2.1 not working with kde 3.5.3
Status: CLOSED WORKSFORME
Alias: None
Product: kdeprint
Classification: Unclassified
Component: general (show other bugs)
Version: 3.5
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KDEPrint Devel Mailinglist
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-23 16:50 UTC by Roland Wolters
Modified: 2008-12-31 20:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Wolters 2006-06-23 16:50:22 UTC
Version:            (using KDE KDE 3.5.3)
Installed from:    Fedora RPMs
OS:                Linux

When I start the printer dialog the system searches for the print daemon and gives out an error message:

"An error occurred while retrieving the printer list:

Connection to CUPS server failed. Check that the CUPS server is correctly installed and running. Error: the IPP request failed for an unknown reason."

However, cups is running:
$ ps aux|grep cups
root      2057  0.0  0.2   9432  2416 ?        Ss   13:49   0:00 cupsd
root      2274  0.0  0.1   3132  1148 ?        Ss   13:49   0:00 cups-config-daemon

I can also reach the cups web configuration page at http://localhost:631/
Comment 1 Zeljan Rikalo 2006-06-24 11:06:30 UTC
It works, but you'll get such error if no printers installed.
This is also commented in source, and marked as TODO.
Just ignore error and install printer.
Comment 2 Roland Wolters 2006-06-28 11:42:39 UTC
Hm, strange, but ok, I close it.
Comment 3 John Layt 2008-12-31 20:10:14 UTC
Closing old Resolved status bug.